/*
 * item.h
 *
 *  Created on: 25.5.2011
 *      Author: petr
 */

#ifndef ITEM_H_
#define ITEM_H_

#include <map>
#include <vector>
#include <string>
#include <iostream>
#include <json/json.h>
#include "../comunicator.h"

using namespace std;

class Item {
protected:
	//identifikacni cislo polozky
	string id;

	//typ objektu
	string objectType;
public:
	//data polozky
	Json::Value objectData;

	virtual int put() { return 0; };

	virtual int post(Json::Value data);

	virtual int deleteObject() { return 0; };

	virtual int get(string id);

	virtual int getInfo() { return 0; };

	string getId();
};

#endif /* ITEM_H_ */
